package cn.newfeifan.mall.module.distri.controller.admin.integral.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 推荐用户积分新增/修改 Request VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IntegralSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "19201")
    private Long id;

    @Schema(description = "用户ID", example = "19778")
    private Long userId;

    @Schema(description = "当前积分")
    private Integer currentQuota;

    @Schema(description = "冻结积分")
    private Integer freezeQuota;

    @Schema(description = "用户类型", example = "17348")
    private Long categoryId;

}