package cn.newfeifan.mall.module.distri.controller.admin.ordercalc.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 订单产生数据计算新增/修改 Request VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderCalcSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4925")
    private Long id;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "用户ID", example = "28565")
    private Long userId;

    @Schema(description = "售价", example = "10413")
    private Integer price;

    @Schema(description = "成本")
    private Integer cost;

    @Schema(description = "毛利 = 成本 * 0.38... (推广费用)")
    private Integer grossProfit;

    @Schema(description = "推广-用户额度")
    private Integer grossProfitUserQuota;

    @Schema(description = "推广-推荐人额度")
    private Integer grossProfitAncestorQuota;

    @Schema(description = "推广-合赢奖额度(浮动)")
    private Integer grossProfitBonusQuota;

    @Schema(description = "推广-平台分成额度(浮动)")
    private Integer grossProfitPlatformQuota;
    @Schema(description = "计算百分比模板")
    private String percentTemplate;

}